function I = radialrec2(F, theta, N)
% F = Radial k-space data
% theta must be in degree
% N = size of output images
% for ii = 1:N
%     r(:,ii) = transpose([ifftshift(ifft(ifftshift(F(ii,:)))) 0]);
% end
%
%    Copyrigt 2007, Jim Ji, Texas A&M University. All Rights Reserved. 
%


if mod(size(F,2),2) == 0
    r = transpose([ifftshift(ifft(ifftshift(F, 2), [], 2), 2) zeros(N,1)]);
else
    r = transpose(ifftshift(ifft(ifftshift(F, 2), [], 2), 2));
end
I = iradon( r, theta, 'linear', 'Hann', 1, N);