function [I,Fradial] = radialsim( I0, N, interp_method, filter )
%
%    Copyrigt 2007, Jim Ji, Texas A&M University. All Rights Reserved. 
%

F = fftshift(fft2(fftshift(I0)));

% Checked
[kx,ky] = meshgrid(-N(1)/2:N(1)/2-1,N(2)/2-1:-1:-N(2)/2);

% Checked
Nmax = max(N);
[rho, phi] = meshgrid(-Nmax/2:Nmax/2-1,[0:Nmax-1]*pi/Nmax);
kxr = rho.*cos(phi);
kyr = rho.*sin(phi);

% Checked
Fradial = interp2(kx,ky,F,kxr,kyr,interp_method);
% Fradial = griddata(kx,ky,F,kxr,kyr,interp_method);

% Prevent Not-a-number case
Fradial(isnan(Fradial)) = 0;

% Checked
I = abs(fbprec( Fradial, [0:Nmax-1]*180/Nmax, Nmax, interp_method, filter ));