function I = spiralsim(I0,N,FOVx,FOVy,interp_method,w)

F = fftshift(fft2(fftshift(I0)));

[fx,fy] = meshgrid(-N(1)/2:N(1)/2-1,N(2)/2-1:-1:-N(2)/2);
kx = 1/(FOVx)*fx;
ky = 1/(FOVy)*fy;

Nmax = max(N);
t = linspace(0, 1, Nmax^2);
%A kxs = 1/(FOVx)*(0.8*Nmax/2)*t.*cos(2*pi*w*t);
%A kys = 1/(FOVy)*(0.8*Nmax/2)*t.*sin(2*pi*w*t);
kxs = 1/(FOVx)*(1*Nmax/2)*t.*cos(2*pi*w*t);
kys = 1/(FOVy)*(1*Nmax/2)*t.*sin(2*pi*w*t);

Fspiral = interp2(kx,ky,F,kxs,kys,interp_method);
% Fspiral = griddata(kx,ky,F,kxs,kys,'linear');

[I,Fcon] = Recon_arbitrarykspace(kxs,kys,Fspiral,N(1),N(2),interp_method,FOVx,FOVy);
I = abs(I);