
%    Copyrigt 2007, Jim Ji, Texas A&M University. All Rights Reserved. 


%    Simulate a 256x256x10 brain phantom dataset from
%    k-space data with 1 unit translation along x and y directions and 10
%    degree rotation per each image frame,

       Nsets = 10;
       Nsiz = [256 256];  % or Nsiz = 256;
       t = linspace(0,1,Nsets);    
       txy = 0.7*[0:Nsets-1;0:Nsets-1];
       theta = 45*[sin(2*pi*t)];
       
%    return 10 dynamic iamges       
       I = brain2D('i', Nsiz, Nsets, txy, theta);
       for frame =1:10
           figure(frame)
           imagesc(abs(I(:,:,frame))),colormap('gray'); axis equal
       end
       
     pause; close all
       
%    return 10 k-space data frames, instead of image       
       kdata = brain2D('F', Nsiz, Nsets, txy, theta);
       for frame =1:10
           figure(frame)
           imagesc(log(abs(kdata(:,:,frame)))),colormap('gray'); axis equal
       end
       
    pause; close all
    